Social
Posts, comments, likes, profiles, followers and messages.
-
POST
Check if a profile alias is available
/social/alias -
GET
Get your social feed
/social/feed -
GET
Get your social feed for a range
/social/feed/{start}/{end} -
GET
List your private conversations
/social/messages -
GET
Get a private conversation
/social/messages/{conversation_id} -
GET
Get your social notifications
/social/notifications -
GET
Get your social notifications for a range
/social/notifications/{start}/{end} -
POST
Create a social post
/social/post -
GET
Get a social post
/social/post/{id} -
DELETE
Delete a social post
/social/post/{id} -
GET
List the comments on a post
/social/post/{id}/comment -
POST
Comment on a post
/social/post/{id}/comment -
GET
Get a comment
/social/post/{id}/comment/{comment_id} -
DELETE
Delete a comment
/social/post/{id}/comment/{comment_id} -
POST
Like a comment
/social/post/{id}/comment/{comment_id}/like -
DELETE
Remove your like from a comment
/social/post/{id}/comment/{comment_id}/like -
POST
Like a post
/social/post/{id}/like -
DELETE
Remove your like from a post
/social/post/{id}/like -
PATCH
Pin a post to your profile
/social/post/{id}/pin -
POST
Repost a post
/social/post/{id}/repost -
DELETE
Undo a repost
/social/post/{id}/repost -
GET
Get a social profile
/social/profile/{id} -
PATCH
Update your social profile
/social/profile/{id} -
GET
Get the feed of a profile
/social/profile/{id}/feed -
POST
Follow a profile
/social/profile/{id}/follow -
DELETE
Unfollow a profile
/social/profile/{id}/follow -
GET
List the followers of a profile
/social/profile/{id}/followers -
GET
List the profiles a profile follows
/social/profile/{id}/following -
POST
Search social posts, comments and profiles
/social/search -
GET
Get suggested profiles to follow
/social/whotofollow